2491544 - HANA upgrade fails with errors | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

2491544 - HANA upgrade fails with errors

Symptom

HANA upgrade fails with errors. You see errors similar to following in upgrade logs(var/tmp directory)

Upgrade failed

error upgrading

installsapinit.sh FAILED

Starting external program /sapmnt/BWB/global/hdb/install/support/installsapinit.sh

Command line is: /sapmnt/BWB/global/hdb/install/support/installsapinit.sh

Output line 1: insserv: warning: script 'gdma' missing LSB tags and overrides

Output line 2: insserv: Default-Start undefined, assuming default start runlevel(s) for script `gdma'
Output line 3: insserv: There is a loop between service bfa and gdma if stopped
Output line 4: insserv: loop involving service gdma at depth 2
Output line 5: insserv: loop involving service bfa at depth 1
Output line 6: insserv: Stopping gdma depends on bfa_cfg and therefore on system * `$all' which can not be true!
Output line 7: insserv: loop involving service cron at depth 4
Output line 8: insserv: exiting now without changing boot order!
Output line 9: /sbin/insserv failed, exit code 1
Program terminated with exit code 5
    installsapinit.sh FAILED
  


Read more...

Environment

SAP HANA 1.0

SAP HANA 2.0

Product

SAP HANA 1.0, platform edition ; SAP HANA, platform edition 2.0

Keywords

HANA, upgrade, linux, error, LSB, installsapinit.sh, gdma, patrol, script , KBA , HAN-DB , SAP HANA Database , BC-OP-LNX , Linux , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.